{
    attributes = (
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MOD_CODE"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "mod_code"; }; 
            name = modCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            columnName = "MOD_DOM"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "mod_dom"; }; 
            name = modDom; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "MOD_EMA_AUTO"; 
            externalType = VARCHAR2; 
            name = modEmaAuto; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "MOD_LIBELLE"; 
            externalType = VARCHAR2; 
            name = modLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "MOD_ORDRE"; 
            externalType = NUMBER; 
            name = modOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MOD_VALIDITE"; 
            externalType = VARCHAR2; 
            name = modValidite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PCO_NUM_PAIEMENT"; 
            externalType = VARCHAR2; 
            name = pcoNumPaiement; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PCO_NUM_VISA"; 
            externalType = VARCHAR2; 
            name = pcoNumVisa; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (
        exeOrdre, 
        modCode, 
        modDom, 
        modEmaAuto, 
        modLibelle, 
        modOrdre, 
        modValidite, 
        pcoNumPaiement, 
        pcoNumVisa
    ); 
    className = "org.cocktail.jefyadmin.server.metier.EOModePaiement"; 
    classProperties = (
        exercice, 
        modCode, 
        modDom, 
        modEmaAuto, 
        modLibelle, 
        modValidite, 
        planComptablePaiement, 
        planComptableVisa
    ); 
    externalName = "JEFY_ADMIN.MODE_PAIEMENT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            exercice, 
            modCode, 
            modDom, 
            modEmaAuto, 
            modLibelle, 
            modValidite, 
            planComptablePaiement, 
            planComptableVisa
        ); 
        "_javaClientClassName" = "org.cocktail.jefyadmin.client.metier.EOModePaiement"; 
        "_nameInObjectStore" = "V_MODE_PAIEMENT"; 
    }; 
    name = ModePaiement; 
    primaryKeyAttributes = (modOrdre); 
    relationships = (
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = PlanComptable; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = pcoNum; sourceAttribute = pcoNumPaiement; }); 
            name = planComptablePaiement; 
        }, 
        {
            destination = PlanComptable; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = pcoNum; sourceAttribute = pcoNumVisa; }); 
            name = planComptableVisa; 
        }
    ); 
}
